<app-login-sub-toolbar></app-login-sub-toolbar>
<div class="container">
      <mat-card class="login-container l-main" >
         <mat-card-content >
            <form class="my-form" [formGroup]="loginFormGroup">
               <div class="logo py-4">
                  <img src="assets/images/logo_vital5g_white.png" alt="Company Logo" />
                </div>
               <h1 style="text-align: center;">Welcome to VITAL-5G</h1>
               <mat-form-field class="full-width">
                  <mat-label>user name</mat-label>
                  <input matInput #username placeholder="Username" formControlName="username" required>
               </mat-form-field>
               <mat-form-field class="full-width passField" >
                  <mat-label>Password</mat-label>
                  <input matInput placeholder="Enter your password" [type]="hide ? 'password' : 'text'" formControlName="password">
                  <i (click)="hide = !hide" class="fa fa-2x" aria-hidden="true" [ngClass]="{
                     'fa-eye':!hide,
                     'fa-eye-slash':hide
                  }"></i>
               </mat-form-field>
               <div style="text-align: center;" class="loginBtnContainer">
                  <button mat-raised-button  class="margin-all" (click)="login();">Login</button>
              </div>
            </form>
         </mat-card-content>
      </mat-card>
</div>




<!-- <div fxLayout="column" fxLayoutAlign="center center" style="margin-top: 5%;" class="container">
   <mat-card class="login-container l-main" >
      <mat-card-content >
         <form class="my-form" [formGroup]="loginFormGroup">
            <h1 style="text-align: center;">Login</h1>
            <mat-form-field class="full-width">
               <mat-label>user name</mat-label>
               <input matInput #username placeholder="Username" formControlName="username" required>
            </mat-form-field>
            <mat-form-field class="full-width passField" >
               <mat-label>Password</mat-label>
               <input matInput placeholder="Enter your password" [type]="hide ? 'password' : 'text'" formControlName="password">
               <i (click)="hide = !hide" class="fa fa-2x" aria-hidden="true" [ngClass]="{
                  'fa-eye':!hide,
                  'fa-eye-slash':hide
               }"></i>
            </mat-form-field>
            <div style="text-align: center;">
               <button mat-raised-button  class="margin-all" (click)="login();">Submit</button>
           </div>
         </form>
      </mat-card-content>
   </mat-card>
</div> -->